---
title: "Pages the runs of automations."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › automation

`GET /v1/stores/{store}/automation_runs`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `automation:read`

## Path parameters

- `store` (`listAutomationRuns.path.store`; string, required) — The store's id.

## Query parameters

- `filter` (`listAutomationRuns.query.filter`; object, optional) — `filter[<field>]=<value>` is an equality, `filter[<field>][<op>]=<value>` names the operator; `in` repeats the parameter.
- `sort` (`listAutomationRuns.query.sort`; string, optional)
  - one of `"occurred"`
- `direction` (`listAutomationRuns.query.direction`; string, optional)
  - one of `"asc"`, `"desc"`
- `limit` (`listAutomationRuns.query.limit`; integer, optional)
  - min 1; max 100
- `cursor` (`listAutomationRuns.query.cursor`; string, optional)
  - maxLength 8192
- `count` (`listAutomationRuns.query.count`; boolean, optional)
- `facets` (`listAutomationRuns.query.facets`; array<string>, optional)

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/automation_runs' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/automation_runs';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/automation_runs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Pages the runs of automations.

#### Example

```json
{
  "items": [
    {
      "customer": {
        "id": "string",
        "name": "string",
        "email": "string",
        "phone": "string",
        "erased": true
      },
      "status": "pending",
      "result": null,
      "reason": null,
      "finished_at": null,
      "id": "string",
      "automation_id": "string",
      "trigger": {
        "kind": "string",
        "id": "string"
      },
      "customer_id": "string",
      "occurred_at": "string"
    }
  ],
  "cursor": "string",
  "total": 0,
  "facets": {
    "property1": {
      "property1": 0,
      "property2": 0
    },
    "property2": {
      "property1": 0,
      "property2": 0
    }
  }
}
```

- `items` (`listAutomationRuns.response.200.items`; array<any of>, required)
  - any of: `object`, `object`, `object`, `object`
- `cursor` (`listAutomationRuns.response.200.cursor`; any of, required)
  - any of: `string`, `null`
- `total` (`listAutomationRuns.response.200.total`; number, optional)
- `facets` (`listAutomationRuns.response.200.facets`; map<map<number>>, optional)

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`listAutomationRuns.response.default.type`; string, required)
  - format `uri`
- `title` (`listAutomationRuns.response.default.title`; string, required)
- `status` (`listAutomationRuns.response.default.status`; integer, required)
- `detail` (`listAutomationRuns.response.default.detail`; string, required)
- `code` (`listAutomationRuns.response.default.code`; string, optional)
- `context` (`listAutomationRuns.response.default.context`; object, optional)
- `reached_core` (`listAutomationRuns.response.default.reached_core`; boolean, optional)
- `core_answer` (`listAutomationRuns.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/list-automation-runs/index.md
